# Uses of Interface
javax.sql.StatementEventListener

Packages that use StatementEventListener
Package
Description
javax.sql
Provides the API for server side data source access and processing from the Java programming language.

## Uses of StatementEventListener in javax.sql

Methods in javax.sql with parameters of type StatementEventListener
Modifier and Type
Method
Description
`void`
PooledConnection.`addStatementEventListener(StatementEventListener listener)`
Registers a `StatementEventListener` with this `PooledConnection` object.
`void`
PooledConnection.`removeStatementEventListener(StatementEventListener listener)`
Removes the specified `StatementEventListener` from the list of components that will be notified when the driver detects that a `PreparedStatement` has been closed or is invalid.